package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehospitalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 床位号
     */
    private String bedCode;

    /**
     * 入院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    /**
     * 疾病名称
     */
    private String diagnose;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 年龄
     */
    private String age;

    /**
     * 病历等级
     */
    private String level;

    /**
     * 最后得分
     */
    private String scoreRes;

    /**
     * 评分类型(1：机器，2：人工)
     */
    private String gradeType;

    /**
     * 评分时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;

    private String directorDoctorName ;

    private String behDoctorName;

    /**
     * 归档时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date placefileDate;
}
