package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/14 9:53
 */
@Data
public class TaskVO {
    // 类型过滤(1：出院时间比当前时间早3天前的病历（例如：长兴病历）)
    private Integer type;
    @ApiModelProperty(hidden = true)
    // 出院时间过滤
    private Date leaveDate;
    // 医院列表id，1：长兴，3：台州，2：邵逸夫
    private List<Long> hosptialIdList;
    // 筛选病历数据：0：未评分的病历，推荐使用；1：全部病历,谨慎使用
    private Integer filterFlag = 0;
    // 个性化需求【1：近3天不含当天的病历强制评分更新】
    private List<Integer> individuation;
    // 出院时间过滤
    @ApiModelProperty(hidden = true)
    private Date startLeaveDate;
    // 出院时间过滤
    @ApiModelProperty(hidden = true)
    private Date endLeaveDate;
    // 是否使用CRF缓存
    private boolean useCrfCache;
}
